Debian Bug report logs - #554715
libsdp: FTBFS on kfreebsd-i386

version graph

Package: libsdp; Maintainer for libsdp is OFED and Debian Developement and Discussion <pkg-ofed-devel@lists.alioth.debian.org>;

Reported by: Petr Salinger <Petr.Salinger@seznam.cz>

Date: Fri, 6 Nov 2009 08:45:02 UTC

Severity: important

Found in version 1.1.99-1

Fixed in version libsdp/1.1.99-2

Done: Benoit Mortier <benoit.mortier@opensides.be>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, OFED and Debian Developement and Discussion <pkg-ofed-devel@lists.alioth.debian.org>:
Bug#554715; Package libsdp. (Fri, 06 Nov 2009 08:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
New Bug report received and forwarded. Copy sent to OFED and Debian Developement and Discussion <pkg-ofed-devel@lists.alioth.debian.org>. (Fri, 06 Nov 2009 08:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: submit@bugs.debian.org
Subject: libsdp: FTBFS on kfreebsd-i386
Date: Fri, 6 Nov 2009 11:43:32 +0100 (CET)
Package: libsdp
Version: 1.1.99-1
Severity: important
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Hi,

the current version fails to build on kfreebsd-i386,
but builds on kfreebsd-amd64.

I am not sure whether this package should be linux specific.
Please decide yourself. For linux specific package, alter
Architecture line into "linux-any".
For real any architecture guard syscalls in socket.c
not only by "i386" but by "defined (i386) && defined (__linux__)".


Thanks in advance

                        Petr





Information forwarded to debian-bugs-dist@lists.debian.org, OFED and Debian Developement and Discussion <pkg-ofed-devel@lists.alioth.debian.org>:
Bug#554715; Package libsdp. (Sat, 21 Nov 2009 19:06:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benoit Mortier <benoit.mortier@opensides.be>:
Extra info received and forwarded to list. Copy sent to OFED and Debian Developement and Discussion <pkg-ofed-devel@lists.alioth.debian.org>. (Sat, 21 Nov 2009 19:06:10 GMT) Full text and rfc822 format available.

Message #10 received at 554715@bugs.debian.org (full text, mbox):

From: Benoit Mortier <benoit.mortier@opensides.be>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 554715@bugs.debian.org
Subject: Re: Bug#554715: libsdp: FTBFS on kfreebsd-i386
Date: Sat, 21 Nov 2009 19:55:38 +0100
Le Friday 06 November 2009 11:43:32 Petr Salinger, vous avez écrit :
> Package: libsdp
> Version: 1.1.99-1
> Severity: important
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
>
> Hi,

Hello,

> the current version fails to build on kfreebsd-i386,
> but builds on kfreebsd-amd64.

could you join a buildd log to stop the problem

> I am not sure whether this package should be linux specific.
> Please decide yourself. For linux specific package, alter
> Architecture line into "linux-any".

I looked into linux-any and its still no in Debian policy and not 
reconised by the tools, so it seems not usable right now

Cheers
-- 
Benoit Mortier
CEO 
OpenSides "logiciels libres pour entreprises" : http://www.opensides.eu/
Contributor to Gosa Project : http://gosa-project.org/




Information forwarded to debian-bugs-dist@lists.debian.org, OFED and Debian Developement and Discussion <pkg-ofed-devel@lists.alioth.debian.org>:
Bug#554715; Package libsdp. (Sat, 21 Nov 2009 22:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benoit Mortier <benoit.mortier@opensides.be>:
Extra info received and forwarded to list. Copy sent to OFED and Debian Developement and Discussion <pkg-ofed-devel@lists.alioth.debian.org>. (Sat, 21 Nov 2009 22:36:10 GMT) Full text and rfc822 format available.

Message #15 received at 554715@bugs.debian.org (full text, mbox):

From: Benoit Mortier <benoit.mortier@opensides.be>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 554715@bugs.debian.org
Subject: Re: Bug#554715: libsdp: FTBFS on kfreebsd-i386
Date: Sat, 21 Nov 2009 23:30:29 +0100
Le Sunday 22 November 2009 01:13:09 Petr Salinger, vous avez écrit :
> Hi.
>
> >> the current version fails to build on kfreebsd-i386,
> >> but builds on kfreebsd-amd64.
> >
> > could you join a buildd log to stop the problem
>
> They are in standard location next to other build-logs, see
> https://buildd.debian.org/pkg.cgi?pkg=libsdp
> https://buildd.debian.org/~luk/status/package.php?p=libsdp
> https://buildd.debian.org/fetch.cgi?pkg=libsdp&arch=kfreebsd-amd64&ver=
>1.1.99-1&stamp=1256498897&file=log&as=raw
> https://buildd.debian.org/fetch.cgi?pkg=libsdp&arch=kfreebsd-i386&ver=1
>.1.99-1&stamp=1256544692&file=log&as=raw
>
> >> I am not sure whether this package should be linux specific.
> >> Please decide yourself. For linux specific package, alter
> >> Architecture line into "linux-any".
> >
> > I looked into linux-any and its still no in Debian policy and not
> > reconised by the tools, so it seems not usable right now
>
> From your answer it is still unclear for me
> whether the package should be used only on Linux.

Hello,

i would say yes this package is from the infiniband stack used in 
clustering and i have not see them running on other os than linux.

> The linux-any currently corresponds to
>
> armel lpia i386 ia64 alpha amd64 armeb arm hppa m32r m68k mips mipsel
> powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc

ok, so if i put that on architecture it will prevent the build for 
kfreebsd right, i will also have to remove other arch maybe.

Cheers
-- 
Benoit Mortier
CEO 
OpenSides "logiciels libres pour entreprises" : http://www.opensides.eu/
Contributor to Gosa Project : http://gosa-project.org/




Information forwarded to debian-bugs-dist@lists.debian.org, OFED and Debian Developement and Discussion <pkg-ofed-devel@lists.alioth.debian.org>:
Bug#554715; Package libsdp. (Sat, 21 Nov 2009 22:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to OFED and Debian Developement and Discussion <pkg-ofed-devel@lists.alioth.debian.org>. (Sat, 21 Nov 2009 22:48:06 GMT) Full text and rfc822 format available.

Message #20 received at 554715@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Benoit Mortier <benoit.mortier@opensides.be>
Cc: 554715@bugs.debian.org
Subject: Re: Bug#554715: libsdp: FTBFS on kfreebsd-i386
Date: Sun, 22 Nov 2009 01:13:09 +0100 (CET)
Hi.

>> the current version fails to build on kfreebsd-i386,
>> but builds on kfreebsd-amd64.
>
> could you join a buildd log to stop the problem

They are in standard location next to other build-logs, see
https://buildd.debian.org/pkg.cgi?pkg=libsdp
https://buildd.debian.org/~luk/status/package.php?p=libsdp
https://buildd.debian.org/fetch.cgi?pkg=libsdp&arch=kfreebsd-amd64&ver=1.1.99-1&stamp=1256498897&file=log&as=raw
https://buildd.debian.org/fetch.cgi?pkg=libsdp&arch=kfreebsd-i386&ver=1.1.99-1&stamp=1256544692&file=log&as=raw

>> I am not sure whether this package should be linux specific.
>> Please decide yourself. For linux specific package, alter
>> Architecture line into "linux-any".
>
> I looked into linux-any and its still no in Debian policy and not
> reconised by the tools, so it seems not usable right now

From your answer it is still unclear for me
whether the package should be used only on Linux.

The linux-any currently corresponds to

armel lpia i386 ia64 alpha amd64 armeb arm hppa m32r m68k mips mipsel
powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc


Petr





Reply sent to Benoit Mortier <benoit.mortier@opensides.be>:
You have taken responsibility. (Mon, 21 Dec 2009 12:09:25 GMT) Full text and rfc822 format available.

Notification sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Bug acknowledged by developer. (Mon, 21 Dec 2009 12:09:25 GMT) Full text and rfc822 format available.

Message #25 received at 554715-close@bugs.debian.org (full text, mbox):

From: Benoit Mortier <benoit.mortier@opensides.be>
To: 554715-close@bugs.debian.org
Subject: Bug#554715: fixed in libsdp 1.1.99-2
Date: Mon, 21 Dec 2009 12:02:07 +0000
Source: libsdp
Source-Version: 1.1.99-2

We believe that the bug you reported is fixed in the latest version of
libsdp, which is due to be installed in the Debian FTP archive:

libsdp1_1.1.99-2_amd64.deb
  to main/libs/libsdp/libsdp1_1.1.99-2_amd64.deb
libsdp_1.1.99-2.diff.gz
  to main/libs/libsdp/libsdp_1.1.99-2.diff.gz
libsdp_1.1.99-2.dsc
  to main/libs/libsdp/libsdp_1.1.99-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 554715@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Benoit Mortier <benoit.mortier@opensides.be> (supplier of updated libsdp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 19 Dec 2009 19:20:34 +0100
Source: libsdp
Binary: libsdp1
Architecture: source amd64
Version: 1.1.99-2
Distribution: unstable
Urgency: low
Maintainer: OFED and Debian Developement and Discussion <pkg-ofed-devel@lists.alioth.debian.org>
Changed-By: Benoit Mortier <benoit.mortier@opensides.be>
Description: 
 libsdp1    - Library to allow use of Infiniband Sockets Direct Protocol (SDP)
Closes: 552379 554715
Changes: 
 libsdp (1.1.99-2) unstable; urgency=low
 .
   * FTBFS on kfreebsd-i386 (Closes: #554715)
   * (libsdp_1.1.99-1/avr32): FTBFS: Outdated config.{sub,guess} (Closes:
     #552379)
Checksums-Sha1: 
 6656defca0187d31c273f458b93f7ddfa0c828e9 1189 libsdp_1.1.99-2.dsc
 98d39a82113b04da4ffae09afe6a3b7bcb5c3d3b 3029 libsdp_1.1.99-2.diff.gz
 3311202e5e0ee57737703d66ff19b73ca2c60a54 38102 libsdp1_1.1.99-2_amd64.deb
Checksums-Sha256: 
 cdf8547a275b4226076850a71a4ad53d218555f37660d7ee35435433c6b7fe28 1189 libsdp_1.1.99-2.dsc
 3e645e1e6b07d6d8f08e25937179ab02203a2896c6a94d6d1c90f47bc8d07777 3029 libsdp_1.1.99-2.diff.gz
 e5d4c9c5ff131ae29e9f2f1941a562f2c6a9864c5d91773c8f5a55f378530561 38102 libsdp1_1.1.99-2_amd64.deb
Files: 
 3154b255eba2302f3bbff4d7e29c7d92 1189 libs extra libsdp_1.1.99-2.dsc
 d85e0f0269d9b8b4b85668f61589cd6d 3029 libs extra libsdp_1.1.99-2.diff.gz
 b7c05e855622decabd5c5432993b9548 38102 libs extra libsdp1_1.1.99-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLL2Ey3/wCKmsRPkQRAruQAJ9eqS77DQVpmWhqY9glm3l50BW0oACeND5u
u7yK00ax22zg8YRc+F+zUTE=
=p5Hu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 Jul 2010 07:31:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:37:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.